xkbcommon-compose.h File Reference
`#include <xkbcommon/xkbcommon.h>`

## Enumerations

enum | xkb_compose_compile_flags { XKB_COMPOSE_COMPILE_NO_FLAGS = 0 }
enum | xkb_compose_format { XKB_COMPOSE_FORMAT_TEXT_V1 = 1 }
enum | xkb_compose_state_flags { XKB_COMPOSE_STATE_NO_FLAGS = 0 }
enum | xkb_compose_status { XKB_COMPOSE_NOTHING, XKB_COMPOSE_COMPOSING, XKB_COMPOSE_COMPOSED, XKB_COMPOSE_CANCELLED }
enum | xkb_compose_feed_result { XKB_COMPOSE_FEED_IGNORED, XKB_COMPOSE_FEED_ACCEPTED }

## Detailed Description

libxkbcommon Compose API - support for Compose and dead-keys.